Bug 1391831 - [RFE] Include Host's Host Collection to YAML definition.
Summary: [RFE] Include Host's Host Collection to YAML definition.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet
Version: 6.2.2
Hardware: x86_64
OS: Linux
medium
low vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-04 07:41 UTC by Amit Kumar Das
Modified: 2019-08-12 16:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:36:49 UTC


Attachments (Terms of Use)
Host collections in params (25.29 KB, image/png)
2017-08-30 06:45 UTC, Ondřej Pražák
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC
Foreman Issue Tracker 17215 None None None 2016-11-04 08:00:59 UTC
Red Hat Knowledge Base (Solution) 2784721 None None None 2018-01-27 01:53:36 UTC

Description Amit Kumar Das 2016-11-04 07:41:53 UTC
Description of problem:
There is no fact/YAML definition available in hosts for their
Host collection.

This RFE is related to parent RFE below:
https://bugzilla.redhat.com/show_bug.cgi?id=1391824

Version-Release number of selected component (if applicable):
satellite 6.2

How reproducible:
In Satellite 6 (Monitor->Facts), there is no Facts related to host's host collection.

In host CLI, #facter does not list any host collection definition.

Expected results:
Include host's host collection to YAML definition.

Comment 1 Marek Hulan 2016-11-04 08:00:29 UTC
This wouldn't propagate into host facts but can be present in ENC output (YAML definition). Once we put it into ENC, user could probably create custom fact definition to get it imported with other facts.

Note for implementation - this should be added to https://github.com/Katello/katello/blob/master/app/models/katello/concerns/host_managed_extensions.rb#L53

Comment 2 Marek Hulan 2016-11-04 08:00:57 UTC
Created redmine issue http://projects.theforeman.org/issues/17215 from this bug

Comment 3 Amit Kumar Das 2017-01-11 06:09:40 UTC
Hi - Is there any progress on this RFE? Thanks.

Comment 4 Marek Hulan 2017-02-03 14:26:52 UTC
Sorry, not yet. Amit, could you check whether the solution described in comment 1 would help the customer? We'd provide the info in ENC answer.

Comment 5 Amit Kumar Das 2017-02-04 00:27:54 UTC
Marek - This bug is related to other bug:

Bug 1391824 - [RFE] Add the ability to use host collection as a matcher for smart class parameters. <<--- Marked duplicate of bz1384009 
Bug 1384009 - [RFE] using smart variables based on Host Collections

Cu want to add host collection as a smart class parameter. Currently there is only four - fqdn,hostgroup,os and domain. We found that host collection is missing in the YAML definition whereas other four parameters are present. Facts is required in each hosts to create a matcher in Smart Class Parameter.

Suppose Host collection is added in ENC output (YAML definition) and cu/user is able to create custom fact definition; whether such custom facts can be used to create a matcher in smart class parameter?

Meanwhile, I have posted the solution you posted earlier to cu and waiting for response.

Comment 9 pm-sat@redhat.com 2017-03-07 09:11:36 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 10 pm-sat@redhat.com 2017-03-07 09:11:40 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 11 pm-sat@redhat.com 2017-03-07 13:11:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17215 has been resolved.

Comment 12 Amit Kumar Das 2017-08-01 01:10:22 UTC
Hi - Can we have target release for this bug? Is it possible include in satellite next release 6.2.11+ since upstream is resolved. Please let us know more. Thanks

Comment 13 Marek Hulan 2017-08-01 08:51:43 UTC
The patch was planned for 6.3 but I think it's trivial to backport it and low risk too. Bryan, what's our policy for upcoming 6.2 and these small RFEs?

Comment 15 Ondřej Pražák 2017-08-30 06:45:07 UTC
Created attachment 1319868 [details]
Host collections in params

Verified.

6.3.0 snap 13

Comment 18 errata-xmlrpc 2018-02-21 12:36:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.